import { Description } from "./Description";
import { RectDescription } from "./RectDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class DomainChartDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    constructor();
    private bb;
    get pixelScalingRatio(): number;
    set pixelScalingRatio(a: number);
    private bo;
    get titleLeftMargin(): number;
    set titleLeftMargin(a: number);
    private bp;
    get titleRightMargin(): number;
    set titleRightMargin(a: number);
    private bq;
    get titleTopMargin(): number;
    set titleTopMargin(a: number);
    private bn;
    get titleBottomMargin(): number;
    set titleBottomMargin(a: number);
    private bj;
    get subtitleLeftMargin(): number;
    set subtitleLeftMargin(a: number);
    private bl;
    get subtitleTopMargin(): number;
    set subtitleTopMargin(a: number);
    private bk;
    get subtitleRightMargin(): number;
    set subtitleRightMargin(a: number);
    private bi;
    get subtitleBottomMargin(): number;
    set subtitleBottomMargin(a: number);
    private dx;
    get subtitleTextColor(): string;
    set subtitleTextColor(a: string);
    private d0;
    get titleTextColor(): string;
    set titleTextColor(a: string);
    private a8;
    get leftMargin(): number;
    set leftMargin(a: number);
    private br;
    get topMargin(): number;
    set topMargin(a: number);
    private bh;
    get rightMargin(): number;
    set rightMargin(a: number);
    private a6;
    get bottomMargin(): number;
    set bottomMargin(a: number);
    private cn;
    get transitionDuration(): number;
    set transitionDuration(a: number);
    private d3;
    get transitionEasingFunctionRef(): string;
    set transitionEasingFunctionRef(a: string);
    private dy;
    get subtitleTextStyle(): string;
    set subtitleTextStyle(a: string);
    private d1;
    get titleTextStyle(): string;
    set titleTextStyle(a: string);
    private da;
    get dataSourceRef(): string;
    set dataSourceRef(a: string);
    private j;
    get includedProperties(): string[];
    set includedProperties(a: string[]);
    private i;
    get excludedProperties(): string[];
    set excludedProperties(a: string[]);
    private h;
    get brushes(): string[];
    set brushes(a: string[]);
    private n;
    get outlines(): string[];
    set outlines(a: string[]);
    private f;
    get actualBrushes(): string[];
    set actualBrushes(a: string[]);
    private g;
    get actualOutlines(): string[];
    set actualOutlines(a: string[]);
    private di;
    get legendRef(): string;
    set legendRef(a: string);
    private ai;
    get isHorizontalZoomEnabled(): boolean;
    set isHorizontalZoomEnabled(a: boolean);
    private ak;
    get isVerticalZoomEnabled(): boolean;
    set isVerticalZoomEnabled(a: boolean);
    private an;
    get shouldDisplayMockData(): boolean;
    set shouldDisplayMockData(a: boolean);
    private ao;
    get shouldUseSkeletonStyleForMockData(): boolean;
    set shouldUseSkeletonStyleForMockData(a: boolean);
    private aj;
    get isSeriesHighlightingEnabled(): boolean;
    set isSeriesHighlightingEnabled(a: boolean);
    private z;
    get windowRect(): RectDescription;
    set windowRect(a: RectDescription);
    private c1;
    get chartTitle(): string;
    set chartTitle(a: string);
    private dv;
    get subtitle(): string;
    set subtitle(a: string);
    private dz;
    get titleAlignment(): string;
    set titleAlignment(a: string);
    private dw;
    get subtitleAlignment(): string;
    set subtitleAlignment(a: string);
    private d5;
    get unknownValuePlotting(): string;
    set unknownValuePlotting(a: string);
    private bg;
    get resolution(): number;
    set resolution(a: number);
    private bm;
    get thickness(): number;
    set thickness(a: number);
    private dm;
    get outlineMode(): string;
    set outlineMode(a: string);
    private dl;
    get markerOutlineMode(): string;
    set markerOutlineMode(a: string);
    private dk;
    get markerFillMode(): string;
    set markerFillMode(a: string);
    private a9;
    get markerFillOpacity(): number;
    set markerFillOpacity(a: number);
    private ba;
    get markerThickness(): number;
    set markerThickness(a: number);
    private m;
    get markerTypes(): string[];
    set markerTypes(a: string[]);
    private dj;
    get markerAutomaticBehavior(): string;
    set markerAutomaticBehavior(a: string);
    private k;
    get markerBrushes(): string[];
    set markerBrushes(a: string[]);
    private l;
    get markerOutlines(): string[];
    set markerOutlines(a: string[]);
    private cm;
    get markerMaxCount(): number;
    set markerMaxCount(a: number);
    private a3;
    get areaFillOpacity(): number;
    set areaFillOpacity(a: number);
    private ac;
    get animateSeriesWhenAxisRangeChanges(): boolean;
    set animateSeriesWhenAxisRangeChanges(a: boolean);
    private o;
    get trendLineBrushes(): string[];
    set trendLineBrushes(a: string[]);
    private d4;
    get trendLineType(): string;
    set trendLineType(a: string);
    private bs;
    get trendLineThickness(): number;
    set trendLineThickness(a: number);
    private ab;
    get alignsGridLinesToPixels(): boolean;
    set alignsGridLinesToPixels(a: boolean);
    private bd;
    get plotAreaMarginLeft(): number;
    set plotAreaMarginLeft(a: number);
    private bf;
    get plotAreaMarginTop(): number;
    set plotAreaMarginTop(a: number);
    private be;
    get plotAreaMarginRight(): number;
    set plotAreaMarginRight(a: number);
    private bc;
    get plotAreaMarginBottom(): number;
    set plotAreaMarginBottom(a: number);
    private c2;
    get computedPlotAreaMarginMode(): string;
    set computedPlotAreaMarginMode(a: string);
    private de;
    get highlightingMode(): string;
    set highlightingMode(a: string);
    private dd;
    get highlightingBehavior(): string;
    set highlightingBehavior(a: string);
    private df;
    get legendHighlightingMode(): string;
    set legendHighlightingMode(a: string);
    private dh;
    get legendItemBadgeShape(): string;
    set legendItemBadgeShape(a: string);
    private dg;
    get legendItemBadgeMode(): string;
    set legendItemBadgeMode(a: string);
    private al;
    get shouldAutoExpandMarginForInitialLabels(): boolean;
    set shouldAutoExpandMarginForInitialLabels(a: boolean);
    private a4;
    get autoExpandMarginExtraPadding(): number;
    set autoExpandMarginExtraPadding(a: number);
    private a5;
    get autoExpandMarginMaximumValue(): number;
    set autoExpandMarginMaximumValue(a: number);
    private co;
    get trendLinePeriod(): number;
    set trendLinePeriod(a: number);
    private d2;
    get toolTipType(): string;
    set toolTipType(a: string);
    private c7;
    get crosshairsDisplayMode(): string;
    set crosshairsDisplayMode(a: string);
    private ag;
    get crosshairsSnapToData(): boolean;
    set crosshairsSnapToData(a: boolean);
    private c9;
    get crosshairsLineVerticalStroke(): string;
    set crosshairsLineVerticalStroke(a: string);
    private a7;
    get crosshairsLineThickness(): number;
    set crosshairsLineThickness(a: number);
    private c8;
    get crosshairsLineHorizontalStroke(): string;
    set crosshairsLineHorizontalStroke(a: string);
    private af;
    get crosshairsAnnotationEnabled(): boolean;
    set crosshairsAnnotationEnabled(a: boolean);
    private c3;
    get crosshairsAnnotationXAxisBackground(): string;
    set crosshairsAnnotationXAxisBackground(a: string);
    private c5;
    get crosshairsAnnotationYAxisBackground(): string;
    set crosshairsAnnotationYAxisBackground(a: string);
    private c4;
    get crosshairsAnnotationXAxisTextColor(): string;
    set crosshairsAnnotationXAxisTextColor(a: string);
    private c6;
    get crosshairsAnnotationYAxisTextColor(): string;
    set crosshairsAnnotationYAxisTextColor(a: string);
    private cj;
    get crosshairsAnnotationXAxisPrecision(): number;
    set crosshairsAnnotationXAxisPrecision(a: number);
    private ck;
    get crosshairsAnnotationYAxisPrecision(): number;
    set crosshairsAnnotationYAxisPrecision(a: number);
    private am;
    get shouldAvoidAxisAnnotationCollisions(): boolean;
    set shouldAvoidAxisAnnotationCollisions(a: boolean);
    private ah;
    get finalValueAnnotationsVisible(): boolean;
    set finalValueAnnotationsVisible(a: boolean);
    private db;
    get finalValueAnnotationsBackground(): string;
    set finalValueAnnotationsBackground(a: string);
    private dc;
    get finalValueAnnotationsTextColor(): string;
    set finalValueAnnotationsTextColor(a: string);
    private cl;
    get finalValueAnnotationsPrecision(): number;
    set finalValueAnnotationsPrecision(a: number);
    private ae;
    get calloutsVisible(): boolean;
    set calloutsVisible(a: boolean);
    private ad;
    get calloutStyleUpdatingEventEnabled(): boolean;
    set calloutStyleUpdatingEventEnabled(a: boolean);
    private cw;
    get calloutsDataSourceRef(): string;
    set calloutsDataSourceRef(a: string);
    private cz;
    get calloutsXMemberPath(): string;
    set calloutsXMemberPath(a: string);
    private c0;
    get calloutsYMemberPath(): string;
    set calloutsYMemberPath(a: string);
    private cx;
    get calloutsLabelMemberPath(): string;
    set calloutsLabelMemberPath(a: string);
    private cv;
    get calloutsContentMemberPath(): string;
    set calloutsContentMemberPath(a: string);
    private dn;
    get seriesAddedRef(): string;
    set seriesAddedRef(a: string);
    private du;
    get seriesRemovedRef(): string;
    set seriesRemovedRef(a: string);
    private dq;
    get seriesPointerEnterRef(): string;
    set seriesPointerEnterRef(a: string);
    private dr;
    get seriesPointerLeaveRef(): string;
    set seriesPointerLeaveRef(a: string);
    private ds;
    get seriesPointerMoveRef(): string;
    set seriesPointerMoveRef(a: string);
    private dp;
    get seriesPointerDownRef(): string;
    set seriesPointerDownRef(a: string);
    private dt;
    get seriesPointerUpRef(): string;
    set seriesPointerUpRef(a: string);
    private cy;
    get calloutStyleUpdatingRef(): string;
    set calloutStyleUpdatingRef(a: string);
}
